Ruby: include/ruby/internal/glob.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Typedefs | Functions
glob.h File Reference

Declares rb_glob(). More...

`#include "ruby/internal/dllexport.h"`
`#include "ruby/internal/value.h"`

Go to the source code of this file.

## Typedefs
typedef int | ruby_glob_func(const char *, VALUE, void *)

## Functions
void | rb_glob (const char *, void(*)(const char *, VALUE, void *), VALUE)
int | ruby_glob (const char *, int, ruby_glob_func *, VALUE)
int | ruby_brace_glob (const char *, int, ruby_glob_func *, VALUE)

## Detailed Description

Declares rb_glob().

Author
  Ruby developers ruby-.nosp@m.core.nosp@m.@ruby.nosp@m.-lan.nosp@m.g.org

Copyright
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Warning
  Symbols prefixed with either `RBIMPL` or `rbimpl` are implementation details. Don't take them as canon. They could rapidly appear then vanish. The name (path) of this header file is also an implementation detail. Do not expect it to persist at the place it is now. Developers are free to move it anywhere anytime at will.

Note
  To ruby-core: remember that this header can be possibly recursively included from extension libraries written in C++. Do not expect for instance `__VA_ARGS__` is always available. We assume C99 for ruby itself but we don't assume languages of extension libraries. They could be written in C++98.

Definition in file glob.h.

## Typedef Documentation

## ◆ ruby_glob_func

typedef int ruby_glob_func(const char *, VALUE, void *)

Definition at line 28 of file glob.h.

## Function Documentation

## ◆ rb_glob()

void rb_glob | ( | const char * | path,
|  | void(*)(const char *, VALUE, void *) | func,
|  | VALUE | arg
| ) |  |

Definition at line 2711 of file dir.c.

References AT_FDCWD, glob_args::enc, glob_args::func, GLOB_JUMP_TAG, GLOB_VERBOSE, glob_args::path, rb_ascii8bit_encoding(), and glob_args::value.

## ◆ ruby_brace_glob()

int ruby_brace_glob | ( | const char * | str,
|  | int | flags,
|  | ruby_glob_func * | func,
|  | VALUE | arg
| ) |  |

Definition at line 2826 of file dir.c.

References brace_args::flags, rb_ascii8bit_encoding(), ruby_brace_glob_with_enc(), and str.

## ◆ ruby_glob()

int ruby_glob | ( | const char * | path,
|  | int | flags,
|  | ruby_glob_func * | func,
|  | VALUE | arg
| ) |  |

Definition at line 2686 of file dir.c.

References push_glob0_args::arg, AT_FDCWD, ruby_glob_funcs_t::error, push_glob0_args::flags, push_glob0_args::funcs, GLOB_VERBOSE, ruby_glob_funcs_t::match, and rb_ascii8bit_encoding().